/* apply a natural box layout model to all elements,
but allowing components to change */
html {
  box-sizing: border-box !important;
  cursor: none!important;
}
*, *:before, *:after {
  box-sizing: inherit;
}

li {
  list-style-type: none;
  margin-top: 10px;
}

/* General */

html, body, .container {
  width:  100%;
  margin: 0;
  cursor: none;
  background-color: #0B1824;
  color: #E36868;
}

body {
  overflow-x: hidden;
  font-family: Type, sans-serif;
}

@font-face {
  font-family: Type;
  src: url(./type/Type-Light.woff2) format('woff2');
  font-style: normal;
  font-weight: 200;
}

@font-face {
  font-family: Type;
  src: url(./type/Type-Regular.woff2) format('woff2');
  font-style: normal;
  font-weight: 300;
}

@font-face {
  font-family: Type;
  src: url(./type/Type-Bold.woff2) format('woff2');
  font-style: normal;
  font-weight: 700;
}

@font-face {
  font-family: Nyght;
  src: url(./type/NyghtSerif-LightItalic.woff2) format('woff2');
  font-style: normal;
  font-weight: 300;
}

.serif {
  font-family: Nyght, serif;
}


/*Header Styling*/
header {
  width: 100%;
  height: 4rem;
  margin: 2rem 0rem;
  padding-top: .4rem;
}


#mainContent {
  max-width: 1920px;
  position: relative;
  width: 100%;
}

/* eye styling / animation */

/*pointy eye*/
.eye-container {
  position: fixed;
  z-index: 4;
  left: 50%;
  margin-left: -70px;
}

#eye-lid { 
  text-align: center;
  display: flex;
  font-size: 0.65em;
  width: 10em;
  height: 10em;
  position: absolute;
  background-color: #0B1824;
  border-radius: 0% 80%;
  border: 2px #E36868 solid;
  transform: rotate(-45deg);
  transform-origin: 30px 20px;  /*to position/keep the elemen on the page after rotation. use this as you see fit */
}

#closedLid {
  text-align: center;
  display: flex;
  font-size: 0.65em;
  width: 10em;
  height: 10em;
  position: absolute;
  background-color: #0B1824;
  border-radius: 0% 100%;
  border: 2px #E36868 solid;
  border-top: 0px;
  border-right: 0px; 
  transform: rotate(-45deg);
  transform-origin: 30px 20px;
}
#closedLid #eyes{
  opacity: 0%;
}

#closedLid #eye{
  opacity: 0%;
}

#eyes{
  text-align: center;
  display: flex;
  font-size: 0.65em;
  width: 7em;
  height: 7em;
  opacity: 100%;
  position: absolute;
  left: 4em;
  top: 4em;
}

#eye {
  position: relative;
  display: inline-block;
  border-radius: 50%;
  width: 7em;
  height: 7em;
  opacity: 100%;
  background-color: #0B1824;
  border: 2px #E36868 solid;
}

#eye:after { /*pupil*/
  --pupil-size: 3em;
  position: absolute;
  top: 2em;
  left: 2em;
  width: var(--pupil-size);
  height: var(--pupil-size);
  background: #E36868;
  border-radius: 50%;
  content: " ";
}

.moved:after {
  top: 1em !important;
}

.eyeClicked {
  transition: .2s;
  width: 7em !important;
  height: 7em !important;
}

.eyeClicked:after {
  --pupil-size: 3.5em !important;
}

#mainContent {
  display: flex;
  flex-direction: column;
  max-width: 1440px;
  width: 90%;
  margin: 4rem 5%;
}

#aboutMe {
  flex: 1;
  max-width: 600px;
}
#projects {
  flex: 1;
  margin-top: 4rem;
}
#ghost {
  display: none;
}

h1 {
  font-size: 3rem;
  font-weight: 200;
}
h2 {
  margin-top: 4rem;
  font-size: 1rem;
}

p {
  font-weight: 200;
}

a {
  font-weight: 200;
  text-decoration: none;
  color: #E36868;
  cursor: none;
}
.about {
  font-weight: 200;
  text-decoration: underline;
}

.projContainer {
  margin-bottom: 4rem;
  cursor: none;
}

.imgContainer {
  width: 100%;
  height: 400px;
  display: block;
  background-position: 50% 50%;
  background-size: cover;
  overflow: hidden;
}
.flex-paragraph {
  display: flex;
  justify-content: space-between;
  align-items: center;
  height: 1rem;
  margin-top: 2rem;
}

.flex-paragraph span:first-child {
  font-family: Nyght, serif;
  font-size: 1.5rem;
}
.line-separator {
  border-top: 1px solid #E36868;
  flex: 1;
  margin: 0px 1rem;
}
.info-card {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
}
.tag {
  border: 1px solid #E36868;
  padding: .25rem .5rem;
  border-radius: 20px;
  margin-right: .5rem;
}

h3 {
  font-weight: 300;
}

footer {
  margin-top: 4rem;
}

/*Form*/

aside {
  display: flex;
  flex-direction: row;
  width: 100%;
  max-width: 480px;
}

.form {
  flex: 6;
}
 input[type=text] {
  cursor: none;
  width: 100%;
  padding: 12px 20px;
  margin: 8px 0;
  border: 1px solid #E36868;
  border-radius: 4px 0px 0px 4px;
  box-sizing: border-box;
  background-color: #0B1824;
  color: #E36868;
}

input[type=text]:focus {
  outline: none;
  background-color: #08121C;
  transition: 0.3s linear;
}

input[type=text]:hover {
  outline: none;
  background-color: #08121C;
  transition: 0.3s linear;
}

.button {
  background-color: #0B1824;
  border: 1px solid #E36868;
  border-left: 0px;
  color: #E36868;
  padding: 12px 20px;
  text-decoration: none;
  margin: 8px 0px;
  cursor: none;
  border-radius: 0px 4px 4px 0px;
  flex: 1;
}
.button:hover {
  background-color: #08121C;
  transition: 0.3s linear;
}

.button:before {
  content: '';
  background-color: #08121C;
  position: absolute;
  width: 0%;
  top: 0;
  left: 0;
  height: 100%;
  transition: 0.3s linear;
  z-index: -1;
}
.button:hover:before {
  width: 100%;
}

/*Effects*/

.gradient, .gradient2, .gradient3 {
  background-color: none;
  transition: .5s;
}

h1 .gradient, h2 .gradient, .about:hover{
  animation: flow 10s ease infinite;
  -webkit-animation: flow 10s ease infinite;
  background: linear-gradient(60deg, #0b8793, #59C173, #9932CC, #0b8793);
  background-size: 300%;

  background-clip: text;
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
}

h1 .gradient2 , h2 .gradient2 {
  animation: flow 10s ease infinite;
  -webkit-animation: flow 10s ease infinite;
  background: linear-gradient(60deg, #59C173, #9932CC, #0b8793, #59C173);
  background-size: 300%;

  background-clip: text;
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
}

h1 .gradient3, h2 .gradient3 {
  animation: flow 10s ease infinite;
  -webkit-animation: flow 10s ease infinite;
  background: linear-gradient(60deg, #9932CC, #0b8793, #0b8793, #9932CC);
  background-size: 300%;

  background-clip: text;
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
}

@keyframes flow {
  0% {
    background-position: 0% 50%;
  }
  50% {
    background-position: 100% 50%;
  }
  100% {
    background-position: 0% 50%;
  }

}

@-webkit-keyframes flow {
  0% {
    background-position: 0% 50%;
  }
  50% {
    background-position: 100% 50%;
  }
  100% {
    background-position: 0% 50%;
  }

}


/*Project Color Effects*/

.projLink:hover .imgContainer{
    transform: scale(1.01);
    transition: .3s ease-in-out;
  }

  .darkBlue:hover{
    -webkit-filter: url(#blue_cyan);
    -moz-filter: url(#blue_cyan);
    -o-filter: url(#blue_cyan);
    -ms-filter: url(#blue_cyan);
    filter:  url(#blue_cyan);
  }

  .darkBlueActive{
    -webkit-filter: url(#blue_cyan);
    -moz-filter: url(#blue_cyan);
    -o-filter: url(#blue_cyan);
    -ms-filter: url(#blue_cyan);
    filter:  url(#blue_cyan);
  }

  .purple:hover {
    -webkit-filter: url(#purple);
    -moz-filter: url(#purple);
    -o-filter: url(#purple);
    -ms-filter: url(#purple);
    filter:  url(#purple);
  }

  .purpleActive {
    -webkit-filter: url(#purple);
    -moz-filter: url(#purple);
    -o-filter: url(#purple);
    -ms-filter: url(#purple);
    filter:  url(#purple);
  }

  .redBlue:hover {
    -webkit-filter: url(#redBlue);
    -moz-filter: url(#redBlue);
    -o-filter: url(#redBlue);
    -ms-filter: url(#redBlue);
    filter:  url(#redBlue);
  }

  .redBlueActive {
    -webkit-filter: url(#redBlueEye);
    -moz-filter: url(#redBlueEye);
    -o-filter: url(#redBlueEye);
    -ms-filter: url(#redBlueEye);
    filter:  url(#redBlueEye);
  }

  .green:hover {
    -webkit-filter: url(#green);
    -moz-filter: url(#green);
    -o-filter: url(#green);
    -ms-filter: url(#green);
    filter:  url(#green);
  }

  .greenActive {
    -webkit-filter: url(#green);
    -moz-filter: url(#green);
    -o-filter: url(#green);
    -ms-filter: url(#green);
    filter:  url(#green);
  }

  .redYellow:hover {
    -webkit-filter: url(#redYellow);
    -moz-filter: url(#redYellow);
    -o-filter: url(#redYellow);
    -ms-filter: url(#redYellow);
    filter:  url(#redYellow);
  }

  .redYellowActive {
    -webkit-filter: url(#redYellow);
    -moz-filter: url(#redYellow);
    -o-filter: url(#redYellow);
    -ms-filter: url(#redYellow);
    filter:  url(#redYellow);
  }

  .greenYellow:hover {
    -webkit-filter: url(#greenYellow);
    -moz-filter: url(#greenYellow);
    -o-filter: url(#greenYellow);
    -ms-filter: url(#greenYellow);
    filter:  url(#greenYellow);
  }

  .greenYellowActive {
    -webkit-filter: url(#greenYellow);
    -moz-filter: url(#greenYellow);
    -o-filter: url(#greenYellow);
    -ms-filter: url(#greenYellow);
    filter:  url(#greenYellow);
  }


  .lightRedBlue:hover {
    -webkit-filter: url(#lightRedBlue);
    -moz-filter: url(#lightRedBlue);
    -o-filter: url(#lightRedBlue);
    -ms-filter: url(#lightRedBlue);
    filter:  url(#lightRedBlue);
  }


  .duotone-filters {
    height: 0;
    left: -9999em;
    margin: 0;
    padding: 0;
    position: absolute;
    width: 0;
}

@media (min-width: 920px) {
  #mainContent {
    width: 600px;
    margin: auto;
  }

  #aboutMe {
    width: 100%;
  }
}



@media (max-width: 500px) { 

  /* eye styling / animation */
  .eye-container {
    margin-left: -3.2em;
  }
  #eye-lid { 
    width: 7em;
    height: 7em;
  }

  #closedLid {
    font-size: 0.65em;
    width: 7em;
    height: 7em;
  }

  #closedLid #eyes{
    opacity: 0%;
  }

  #closedLid #eye{
    opacity: 0%;
  }

  #eyes{
    width: 5.25em;
    height: 5.25em;
    opacity: 100%;
    position: absolute;
    left: 2.5em;
    top: 2.5em;
  }

  #eye {
    position: relative;
    display: inline-block;
    border-radius: 50%;
    width: 5em;
    height: 5em;
    opacity: 100%;
    background-color: #0B1824;
    border: 2px #E36868 solid;
  }

  #eye:after { /*pupil*/
    --pupil-size: 2em;
    position: absolute;
    top: 1.5em;
    left: 1.5em;
    width: var(--pupil-size);
    height: var(--pupil-size);
    background: #E36868;
    border-radius: 50%;
    content: " ";
  }

}
